Bug 2238036 - azure-cli cannot be installed because of the missing dependencies
Summary: azure-cli cannot be installed because of the missing dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: azure-cli
Version: epel9
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Major Hayden 🤠
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-09-08 16:48 UTC by Serge Dubrouski
Modified: 2023-09-21 01:51 UTC (History)
3 users (show)

Fixed In Version: azure-cli-2.52.0-1.fc37 azure-cli-2.52.0-6.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-20 01:06:29 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Serge Dubrouski 2023-09-08 16:48:14 UTC
Description of problem:

azure-cli-2.50.0-8.el9 cannot be installed because of the broken dependencies. This is the only version that's included into the repo.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. dnf install azure-cli-2.50.0-8.el9


Actual results:

$ sudo dnf install azure-cli-2.50.0-8.el9
Last metadata expiration check: 0:25:19 ago on Fri 08 Sep 2023 09:22:31 AM PDT.
Error:
 Problem: conflicting requests
  - nothing provides python3.9dist(pynacl) >= 1.5 needed by azure-cli-2.50.0-8.el9.noarch from rolling_stable_epel
  - nothing provides python3.9dist(websocket-client) >= 1.3.1 needed by azure-cli-2.50.0-8.el9.noarch from rolling_stable_epel
  - nothing provides python3.9dist(pynacl) >= 1.5 needed by azure-cli-2.50.0-8.el9.noarch from rolling_rolling_epel
  - nothing provides python3.9dist(websocket-client) >= 1.3.1 needed by azure-cli-2.50.0-8.el9.noarch from rolling_rolling_epel

Expected results:

Package installed

Additional info:

Comment 1 Davide Cavalca 2023-09-08 16:49:35 UTC
This was also picked up by willit: https://tdawson.fedorapeople.org/epel/willit/epel9/status-wont-install.html

Comment 2 Major Hayden 🤠 2023-09-08 19:44:50 UTC
I'll try to get a look at this today before I go, but this might need to be something for next week. Thanks for opening a ticket for this.

Comment 3 Major Hayden 🤠 2023-09-11 18:21:27 UTC
Loading the update into bodhi in a few minutes:

[root@da97fc37151a /]# cat /etc/redhat-release 
Red Hat Enterprise Linux release 9.2 (Plow)
[root@da97fc37151a /]# az version
{
  "azure-cli": "2.52.0",
  "azure-cli-core": "2.52.0",
  "azure-cli-telemetry": "1.1.0",
  "extensions": {}
}

Comment 4 Fedora Update System 2023-09-11 18:22:03 UTC
FEDORA-2023-d0ecc8df3f has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d0ecc8df3f

Comment 5 Fedora Update System 2023-09-12 01:29:30 UTC
FEDORA-2023-d0ecc8df3f has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-d0ecc8df3f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-d0ecc8df3f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-09-12 17:56:34 UTC
FEDORA-EPEL-2023-7d169100f1 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-7d169100f1

Comment 7 Fedora Update System 2023-09-13 02:08:37 UTC
FEDORA-EPEL-2023-7d169100f1 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-7d169100f1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-09-20 01:06:29 UTC
FEDORA-2023-d0ecc8df3f has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-09-21 01:51:43 UTC
FEDORA-EPEL-2023-7d169100f1 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.